#property indicator_chart_window
//#property indicator_separate_window
#property  indicator_buffers 3
#property  indicator_color1  Green
#property  indicator_color2  Red
#property  indicator_color3  Gold
#property  indicator_width1 2
#property  indicator_width2 2
#property  indicator_width3 3
extern int MAPeriod = 10;
double ma[];
double up[];
double dn[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexBuffer(0,up);
   SetIndexBuffer(1,dn);
   SetIndexBuffer(2,ma);
   SetIndexStyle(0,DRAW_LINE);   
   SetIndexStyle(1,DRAW_LINE);   
   SetIndexStyle(2,DRAW_LINE);
   SetIndexLabel(0,"Up");
   SetIndexLabel(1,"Dn");
   SetIndexLabel(2,"MA "+MAPeriod);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   double ma0,ma1;
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   for(int i=0; i<limit-1; i++)
   {  
   ma0=iMA(0,0,MAPeriod,0,2,0,i);
   ma1=iMA(0,0,MAPeriod,0,2,0,i+1);
   if (ma1 < ma0)
      {
       up[i]=ma0;
       up[i+1]=ma1;
      }
   if (ma1 > ma0) 
      {
       dn[i]=ma0; 
       dn[i+1]=ma1;
      }
// could not tell if this part worked...      
   if (ma1 == ma0)
      {
      ma[i]=ma0;
      ma[i+1]=ma1;
      dn[i]=EMPTY_VALUE; 
      dn[i+1]=EMPTY_VALUE;
      up[i]=EMPTY_VALUE;
      up[i+1]=EMPTY_VALUE;
      }   
    } 
   return(0);
  }

